​
Select Service
ves-io-schema-dns_domain-API-Get
Published April 5, 2023 | Last modified June 22, 2026
Examples of getting dns_domain
Usecase:
Get "example.com" dns_domain that was created in previous example
Request using vesctl:
vesctl configuration get dns_domain example.com --namespace system
vesctl yaml response:
deletedReferredObjects: []disabledReferredObjects: []metadata: annotations: {} labels: {} name: example.com namespace: systemreferringObjects: []resourceVersion: "1011"spec: {}status: []systemMetadata: creationTimestamp: "2026-06-19T22:02:56.288874Z" creatorClass: examplesvc creatorId: examplesvc finalizers: [] labels: {} tenant: acmecorp uid: 3fad5bf0-3574-47e6-990b-abcafd78ac54Request using curl:
curl -X 'GET' -H 'X-Volterra-Useragent: v1/pgm=_var_folders_q2_3kp8z3zs0x5_m7pk1bgb0_ph0000gp_T_go-build1655461974_b001_apidocs.test/host=MTY6VVHQPH/svc=S:examplesvc/site=mytestce01' 'https://acmecorp.console.ves.volterra.io/api/config/namespaces/system/dns_domains/example.com?response_format=0'curl response:
HTTP/1.1 200 OKContent-Length: 885Content-Type: application/jsonDate: Fri, 19 Jun 2026 22:02:56 GMTVary: Accept-Encoding
{ "create_form": null, "replace_form": null, "resource_version": "1011", "metadata": { "name": "example.com", "namespace": "system", "labels": { }, "annotations": { }, "description": "", "disable": false }, "system_metadata": { "uid": "3fad5bf0-3574-47e6-990b-abcafd78ac54", "creation_timestamp": "2026-06-19T22:02:56.288874Z", "deletion_timestamp": null, "modification_timestamp": null, "initializers": null, "finalizers": [ ], "tenant": "acmecorp", "creator_class": "examplesvc", "creator_id": "examplesvc", "object_index": 0, "owner_view": null, "labels": { } }, "spec": { "domain": "", "txt_record": "", "dnssec_mode": "DNSSEC_DISABLE" }, "status": [ ], "referring_objects": [ ], "deleted_referred_objects": [ ], "disabled_referred_objects": [ ]}